module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Clappr = __webpack_require__(1);
var HlsjsIpfsLoader = __webpack_require__(2);
var IPFS = __webpack_require__(3);

module.exports = function (_ref) {
  var selector = _ref.selector,
      source = _ref.source,
      poster = _ref.poster,
      mimeType = _ref.mimeType,
      ipfsHash = _ref.ipfsHash,
      node = _ref.node,
      rest = _objectWithoutProperties(_ref, ["selector", "source", "poster", "mimeType", "ipfsHash", "node"]);

  var ipfsNode = node || new IPFS({
    bitswap: {
      maxMessageSize: 128 * 1024
    },
    repo: "paratii-" + String(Math.random() + Date.now()).replace(/\./g, ""),
    config: {
      Addresses: {
        Swarm: ["/dns4/star.paratii.video/tcp/443/wss/p2p-webrtc-star"]
      },
      Bootstrap: ["/dns4/bootstrap.paratii.video/tcp/443/wss/ipfs/QmeUmy6UtuEs91TH6bKnfuU1Yvp63CkZJWm624MjBEBazW"]
    }
  });

  var player = Clappr.Player(_extends({
    source: source,
    poster: poster,
    mimeType: mimeType,
    parentId: selector,
    width: "100%",
    height: "100%",
    chromeless: true,
    position: "top-right",
    watermarkLink: "http://paratii.video/",
    playback: {
      hlsjsConfig: {
        fLoader: HlsjsIpfsLoader,
        ipfs: ipfsNode,
        ipfsHash: ipfsHash,
        enableWorker: true,
        autoLevelEnabled: true,
        autoStartLoad: true,
        maxLoadingDelay: 2,
        maxStarvationDelay: 2
      }
    }
  }, rest));

  player.clappr = Clappr;

  return player;
};

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("clappr");

/***/ }),
/* 2 */
/***/ (function(module, exports) {

module.exports = require("hlsjs-ipfs-loader");

/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = require("ipfs");

/***/ })
/******/ ]);